加载 Collection (V2)
本接口可以将指定 Collection 的数据加载到内存中。
POST/v2/vectordb/collections/load
该 API 的 Base URL 格式如下:
https://${CLUSTER_ENDPOINT}
📘说明
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheader必填项
认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。
示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring
The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.
collectionNamestring必填项
The name of the target collection. Setting this to a non-existing collection results in an error.
partitionNamesarray
此操作所应用的 Partition 名称列表。设置后操作仅作用于指定的 Partition;未设置时则作用于整个 Collection。
[]partitionNamesstring
此操作所应用的一个 Partition 名称。
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/load" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "quick_setup"
}'
响应200 OK - application/json
None
由不携带特定操作结果数据的操作返回的通用响应信封。它仍包含 data 对象。
codeinteger
响应码。
dataobject
响应负载对象,其内容取决于返回它的操作。
Returns an error message.
codeinteger
响应码。
messagestring
错误描述。
Successjson
{
"code": 0,
"data": {}
}